From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81'>refs</a><a class='active' href='/guix/log/gnu/packages/pantheon.scm'>log</a><a href='/guix/tree/gnu/packages/pantheon.scm?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81'>tree</a><a href='/guix/commit/gnu/packages/pantheon.scm?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81'>commit</a><a href='/guix/diff/gnu/packages/pantheon.scm?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/pantheon.scm'>
<input type='hidden' name='id' value='6a4151e41139c00f2e10d7569c4ff078a98b7a81'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81'>root</a>/<a href='/guix/log/gnu?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81'>gnu</a>/<a href='/guix/log/gnu/packages?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81'>packages</a>/<a href='/guix/log/gnu/packages/pantheon.scm?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81'>pantheon.scm</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/gnu/packages/pantheon.scm?id=6a4151e41139c00f2e10d7569c4ff078a98b7a81&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2023-09-28 19:33:20 +0300'>2023-09-28</span></td><td><a href='/guix/commit/gnu/packages/pantheon.scm?id=f5040becbf0e702a341f528f350409245ee1b881'>gnu: Add pantheon-terminal.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/pantheon.scm (pantheon-terminal): New variable.

Signed-off-by: Efraim Flashner &lt;efraim@flashner.co.il&gt;
</span></span></td><td>altadil</td></tr>
<tr><td><span title='2023-09-28 19:33:20 +0300'>2023-09-28</span></td><td><a href='/guix/commit/gnu/packages/pantheon.scm?id=fc0bd1c38d5345abc7132e30af8a1dd8f8edecb4'>gnu: Add granite-6.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/pantheon.scm (granite-6): New variable.

Signed-off-by: Efraim Flashner &lt;efraim@flashner.co.il&gt;
</span></span></td><td>altadil</td></tr>
<tr><td><span title='2023-09-05 19:50:43 -0400'>2023-09-05</span></td><td><a href='/guix/commit/gnu/packages/pantheon.scm?id=015e288d2d5b46de34d9c17e8f6bdc640ce951a0'>gnu: sideload: Update to 6.2.1.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/pantheon.scm (sideload): Update to 6.2.1.
</span></span></td><td>Maxim Cournoyer</td></tr>
<tr><td><span title='2023-09-05 19:50:43 -0400'>2023-09-05</span></td><td><a href='/guix/commit/gnu/packages/pantheon.scm?id=88abdb43d667e2bd2d81c7ae34b7242725c3ff5d'>gnu: pantheon-calculator: Update to 2.0.2.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/pantheon (pantheon-calculator): Update to 2.0.2.
[inputs]: Replace gtk+ with gtk.
[native-inputs]: Remove labels.

Signed-off-by: Maxim Cournoyer &lt;maxim.cournoyer@gmail.com&gt;
</span></span></td><td>altadil</td></tr>
<tr><td><span title='2023-09-05 19:50:43 -0400'>2023-09-05</span></td><td><a href='/guix/commit/gnu/packages/pantheon.scm?id=cc3fbfbb21dd6540a0db6cec116fe17d7b1c6241'>gnu: granite: Upgrade to 7.3.0.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/pantheon.scm (granite): Upgrade to 7.3.0.
[inputs]: Remove gtk+.  Add sassc.  Move glib and libgee to...
[propagated-inputs]: ... here.  Add gtk.
[native-inputs]: Add glib:bin.

Signed-off-by: Maxim Cournoyer &lt;maxim.cournoyer@gmail.com&gt;
</span></span></td><td>altadil</td></tr>
<tr><td><span title='2023-07-08 23:24:10 +0300'>2023-07-08</span></td><td><a href='/guix/commit/gnu/packages/pantheon.scm?id=c7233b2247102f7e43f17de29273e11aad245783'>gnu: pantheon-wallpapers: Use a source file-name.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/pantheon.scm (pantheon-wallpapers)[source]: Use a source
file-name.
</span></span></td><td>Efraim Flashner</td></tr>
<tr><td><span title='2023-07-01 10:56:16 +0200'>2023-07-01</span></td><td><a href='/guix/commit/gnu/packages/pantheon.scm?id=2c83ccc6097a30c61449f375c120e2a3f932405c'>gnu: Add pantheon-wallpapers.</a><span class='msg-avail'>...<span class='msg-tooltip'>* gnu/packages/pantheon.scm (pantheon-wallpapers): New variable.

Signed-off-by: Nicolas Goaziou &lt;mail@nicolasgoaziou.fr&gt;
</span></span></td><td>Wamm K. D</td></tr>
